Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsproperties
Class AddPropertyAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
              edu.stanford.smi.protegex.owl.ui.clsproperties.AddPropertyAction

All Implemented Interfaces:
  ResourceSelectionListener, ActionListener, Serializable, Cloneable, EventListener, Action

    public class AddPropertyAction

extends ResourceSelectionAction

An Action to add a selected property to the domain of the currently edited Cls.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
`activated`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AddPropertyAction(PropertyWidget propertyWidget)`

Method Summary
`protected RDFSNamedClass` | `getBasePropertyMetaclass()`
`Collection` | `getSelectableResources()`
`Collection` | `pickResources()` This method is only used when multiple selection is allowed for this Action.
`void` | `resourceSelected(RDFResource resource)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.resourceselection.ResourceSelectionAction
`actionPerformed, activateComboBox, getRenderer, getShowHiddenResources, pickResource, setActivated, setShowHiddenResources`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddPropertyAction

    public AddPropertyAction(PropertyWidget propertyWidget)

Method Detail

### resourceSelected

    public void resourceSelected(RDFResource resource)

### getBasePropertyMetaclass

    protected RDFSNamedClass getBasePropertyMetaclass()

### getSelectableResources

    public Collection getSelectableResources()

  Specified by:
    `getSelectableResources` in class `ResourceSelectionAction`

### pickResources

    public Collection pickResources()

  Description copied from class: `ResourceSelectionAction`
  This method is only used when multiple selection is allowed for this Action. By default, it will call `pickFrame`.

  Overrides:
    `pickResources` in class `ResourceSelectionAction`
  Returns:
    the Frame

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.